Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.json
Class JSONReader

    java.lang.Object
      org.apache.struts2.json.JSONReader

    public class JSONReader

extends Object

Deserializes and object from a JSON string

Constructor Summary
`JSONReader()`

Method Summary
`protected void` | `add()`
`protected void` | `add(char cc)`
`protected void` | `addDigits()`
`protected List` | `array()`
`protected JSONException` | `buildInvalidInputException()`
`protected char` | `next()`
`protected Object` | `number()`
`protected Map` | `object()`
`protected Object` | `read()`
`Object` | `read(String string)`
`protected void` | `skipWhiteSpace()`
`protected Object` | `string(char quote)`
`protected char` | `unicode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONReader

    public JSONReader()

Method Detail

### next

    protected char next()

### skipWhiteSpace

    protected void skipWhiteSpace()

### read

    public Object read(String string)
                throws JSONException

  Throws:
    `JSONException`

### read

    protected Object read()
                   throws JSONException

  Throws:
    `JSONException`

### object

    protected Map object()
                  throws JSONException

  Throws:
    `JSONException`

### buildInvalidInputException

    protected JSONException buildInvalidInputException()

### array

    protected List array()
                  throws JSONException

  Throws:
    `JSONException`

### number

    protected Object number()

### string

    protected Object string(char quote)

### add

    protected void add(char cc)

### add

    protected void add()

### addDigits

    protected void addDigits()

### unicode

    protected char unicode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.